{% extends 'base.html.twig' %}

{% set bodyClass = 'registry_treatment show' %}
{% set menuItem = 'registry_treatment' %}

{% block title %}{{ 'registry.treatment.title.show'|trans }} - {{ parent() }}{% endblock %}

{% block body_head %}
    <h1>
        {{ 'registry.treatment.title.show'|trans }}
        <small>{{ object }}</small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'registry.treatment.breadcrumb.list'|trans, 'link': path('registry_treatment_list') },
        { 'name': 'registry.treatment.breadcrumb.show'|trans({'%name%': object}) }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}

    {% if is_granted('ROLE_USER') %}
    <div class="row">
        <div class="col-xs-12">
            <div class="action-bar">
                <a href="{{ path('registry_treatment_list') }}" class="btn btn-default">
                    <i class="fa fa-arrow-left"></i>
                    {{ 'registry.treatment.action.back_to_list'|trans }}
                </a>
                <a href="{{ path('registry_treatment_edit', {'id': object.id}) }}" class="btn btn-default">
                    <i class="fa fa-pencil-alt"></i>
                    {{ 'action.edit'|trans }}
                </a>
            </div>
        </div>
    </div>
    {% endif %}

    <div class="row">
        {# LEFT #}
        <div class="col-md-6">
            {# GENERAL INFORMATIONS #}
            <div class="box box-solid box-info">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.general'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.name'|trans }}</strong></td>
                            <td>{{ object.name }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.goal'|trans }}</strong></td>
                            <td>{{ object.goal|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.manager'|trans }}</strong></td>
                            <td>{{ object.manager }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.active'|trans }}</strong></td>
                            <td>
                                {% if object.active %}
                                    <span class="badge bg-green">{{ 'label.active'|trans }}</span>
                                {% else %}
                                    <span class="badge bg-red">{{ 'label.inactive'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.legal_basis'|trans }}</strong></td>
                            <td>{{ object.legalBasis|dictionary('registry_treatment_legal_basis') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.legal_basis_justification'|trans }}</strong></td>
                            <td>{{ object.legalBasisJustification|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.observation'|trans }}</strong></td>
                            <td>{{ object.observation|nl2br }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# DATA CATEGORY #}
            <div class="box box-solid box-warning">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.data_category'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.data_category'|trans }}</strong></td>
                            <td>
                                <ul>
                                {% for category in object.dataCategories %}
                                    <li>
                                        {% if category.sensible %}<strong>{% endif %}
                                        {{ category.name }}
                                        {% if category.sensible %}</strong>{% endif %}
                                    </li>
                                {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.data_category_other'|trans }}</strong></td>
                            <td>{{ object.dataCategoryOther|nl2br }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# RECIPIENTS #}
            <div class="box box-solid box-primary">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.recipients'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.recipient_category'|trans }}</strong></td>
                            <td>{{ object.recipientCategory|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.contractors'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% for contractor in object.contractors %}
                                        <li>{{ contractor }}</li>
                                    {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# HISTORIC #}
            <div class="box box-solid box-default">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.historic'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.creator'|trans }}</strong></td>
                            <td>
                                {{ object.creator }}
                            </td>
                        </tr>
                        {% if is_granted('ROLE_ADMIN') %}
                            <tr>
                                <td><strong>{{ 'registry.treatment.show.collectivity'|trans }}</strong></td>
                                <td>
                                    <a href="{{ path('user_collectivity_show', {'id': object.collectivity.id }) }}">
                                        {{ object.collectivity }}
                                    </a>
                                </td>
                            </tr>
                        {% endif %}
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.created_at'|trans }}</strong></td>
                            <td>{{ object.createdAt|date('d/m/Y H:i') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.updated_at'|trans }}</strong></td>
                            <td>{{ object.updatedAt|date('d/m/Y H:i') }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        {# RIGHT #}
        <div class="col-md-6">
            {# DETAILS #}
            <div class="box box-solid box-primary">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.details'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.concerned_people'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% for people in object.concernedPeople %}
                                        <li>{{ people|dictionary('registry_treatment_concerned_people') }}</li>
                                    {% endfor %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.software'|trans }}</strong></td>
                            <td>{{ object.software }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.paper_processing'|trans }}</strong></td>
                            <td>
                                {% if object.paperProcessing %}
                                    <span class="badge bg-gray">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="badge bg-gray">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.delay'|trans }}</strong></td>
                            <td>
                                {% if object.delay.number and object.delay.period %}
                                    {{ object.delay.number }} {{ object.delay.period|dictionary('registry_delay_period') }}
                                {% elseif object.delay.otherDelay %}
                                    {{ object.delay.comment }}
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.data_origin'|trans }}</strong></td>
                            <td>{{ object.dataOrigin }}</td>
                        </tr>
                    </table>
                </div>
            </div>

            {# SECURITY #}
            <div class="box box-solid box-success">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.security'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.security_access_control'|trans }}</strong></td>
                            <td>
                                {% if object.securityAccessControl.check %}
                                    <span class="badge bg-green">{{ 'label.yes'|trans }}</span>
                                    <p>{{ object.securityAccessControl.comment }}</p>
                                {% else %}
                                    <span class="badge bg-orange">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.security_tracability'|trans }}</strong></td>
                            <td>
                                {% if object.securitytracability.check %}
                                   <span class="badge bg-green">{{ 'label.yes'|trans }}</span>
                                    <p>{{ object.securitytracability.comment }}</p>
                                {% else %}
                                    <span class="badge bg-orange">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.security_saving'|trans }}</strong></td>
                            <td>
                                {% if object.securitySaving.check %}
                                   <span class="badge bg-green">{{ 'label.yes'|trans }}</span>
                                    <p>{{ object.securitySaving.comment }}</p>
                                {% else %}
                                    <span class="badge bg-orange">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.security_update'|trans }}</strong></td>
                            <td>
                                {% if object.securityUpdate.check %}
                                   <span class="badge bg-green">{{ 'label.yes'|trans }}</span>
                                    <p>{{ object.securityUpdate.comment }}</p>
                                {% else %}
                                    <span class="badge bg-orange">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.security_other'|trans }}</strong></td>
                            <td>
                                {% if object.securityOther.check %}
                                    <span class="badge bg-green">{{ 'label.yes'|trans }}</span>
                                    <p>{{ object.securityOther.comment }}</p>
                                {% else %}
                                    <span class="badge bg-orange">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.authorized_people'|trans }}</strong></td>
                            <td>{{ object.authorizedPeople }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# SPECIFIC #}
            <div class="box box-solid box-info">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.treatment.tab.specific'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.systematic_monitoring'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% if object.systematicMonitoring %}
                                        <span class="badge bg-orange">{{ 'label.yes'|trans }}</span>
                                    {% else %}
                                        <span class="badge bg-green">{{ 'label.no'|trans }}</span>
                                    {% endif %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.large_scale_collection'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% if object.largeScaleCollection %}
                                        <span class="badge bg-orange">{{ 'label.yes'|trans }}</span>
                                    {% else %}
                                        <span class="badge bg-green">{{ 'label.no'|trans }}</span>
                                    {% endif %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.vulnerable_people'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% if object.vulnerablePeople %}
                                        <span class="badge bg-orange">{{ 'label.yes'|trans }}</span>
                                    {% else %}
                                        <span class="badge bg-green">{{ 'label.no'|trans }}</span>
                                    {% endif %}
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.treatment.show.data_crossing'|trans }}</strong></td>
                            <td>
                                <ul>
                                    {% if object.dataCrossing %}
                                        <span class="badge bg-orange">{{ 'label.yes'|trans }}</span>
                                    {% else %}
                                        <span class="badge bg-green">{{ 'label.no'|trans }}</span>
                                    {% endif %}
                                </ul>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>

            {# PROOFS #}
            {% include '_Utils/_show_block_proofs.html.twig' with { proofs: object.proofs } %}

            </div>
        </div>
    </div>
{% endblock %}
